Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class BinaryExpression

Represents two expressions and an operation

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`Expression` | `leftExpression`
`Token` | `operation`
`Expression` | `rightExpression`

Constructor Summary
`BinaryExpression(Expression leftExpression, Token operation, Expression rightExpression)`

Method Summary
`Expression` | `getLeftExpression()`
`Token` | `getOperation()`
`Expression` | `getRightExpression()`
`String` | `getText()`
`static BinaryExpression` | `newAssignmentExpression(Variable variable, Expression rhs)` Creates an assignment expression in which the specified expression is written into the specified variable name.
`static BinaryExpression` | `newInitializationExpression(String variable, ClassNode type, Expression rhs)` Creates variable initialization expression in which the specified expression is written into the specified variable name.
`void` | `setLeftExpression(Expression leftExpression)`
`void` | `setRightExpression(Expression rightExpression)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### BinaryExpression

    public BinaryExpression(Expression leftExpression, Token operation, Expression rightExpression)

Method Detail

### getLeftExpression

    public Expression getLeftExpression()

### getOperation

    public Token getOperation()

### getRightExpression

    public Expression getRightExpression()

### getText

    public String getText()

### newAssignmentExpression

    public static BinaryExpression newAssignmentExpression(Variable variable, Expression rhs)

  Creates an assignment expression in which the specified expression is written into the specified variable name.

### newInitializationExpression

    public static BinaryExpression newInitializationExpression(String variable, ClassNode type, Expression rhs)

  Creates variable initialization expression in which the specified expression is written into the specified variable name.

### setLeftExpression

    public void setLeftExpression(Expression leftExpression)

### setRightExpression

    public void setRightExpression(Expression rightExpression)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)